<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">


<%= form_with(model: project, local: true) do |form| %>
  <% if project.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(project.errors.count, "error") %> prohibited this project from being saved:</h2>

      <ul>
      <% project.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

<div class="container">  
  <div class="row">
     <div class="col-4 form-group row">
	<div class="col-md-4">
	   <%= form.label :project_name %>
	</div>
	<div class="col-md-8">
	   <%= form.text_field :project_name, id: :project_project_name, required: true %>
	</div>
     </div>
  </div>
  
  <div class="row">
     <div class="col-6 form-group row">
        <div class="col-md-4">
	   <%= form.label :description %>
        </div>
        <div class="col-md-8">
           <%= form.text_field :description, id: :project_description %>
       </div>
     </div>
  </div>
  
  <div class="row">
     <div class="col-6 form-group row">
        <div class="col-md-4">
           <%= form.label :category_id, "Project Category" %>
        </div>
        <div class="col-md-8">
           <%= form.collection_select(:category_id,Category.all, :id,:category_name, {prompt: true}, {id: :category_dropdown}) %>
        </div>
     </div>
  </div>

  <%= form.hidden_field :user_id, value: current_user.id  %>

  <div class="actions">
    <%= form.submit "Submit", class:"btn btn-primary float-right" %>
    <%= link_to "Cancel", projects_path, class: "btn btn-warning float-right mr-3" %>
  </div>
</div>
<% end %>
